Get
curl --request GET \
--url https://{appId}.api-{region}.cometchat.io/v3/users/{uid} \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/users/{uid}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/users/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uid": "cometchat-uid-5",
"name": "John Paul",
"link": "https://www.cometchat.com",
"avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-5.webp",
"status": "offline",
"role": "manager",
"createdAt": 1638354015
}
}Users
Get
Get CometChat user details by UID with REST API, including profile fields, status, role, metadata, and tags.
GET
/
users
/
{uid}
Get
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
UID of the user on whose behalf the action is performed.
Response
200 - application/json
Fetched User
Was this page helpful?